%define name visionegg
%define version 1.0
%define release 3mdk

Summary:   Python package for producing stimuli for vision research experiments
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.bz2
License:   LGPL
Group:     Sciences/Other
Url:       http://www.visionegg.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:  python-numeric >= 21.0
Requires:  python-numarray 
Requires:  python-imaging >= 1.1.2
Requires:  python-opengl
Requires:  pygame
BuildRequires: X11-static-devel
ExclusiveArch: x86_64 %{ix86}

%description 
The Vision Egg uses Python and OpenGL to provide a powerful, flexible,
and free way to produce stimuli for vision research experiments. In
addition to methods for automatic generation of traditional visual
stimuli such as sinusoidal gratings and random dot patterns, it defines a
number of functions for moving numeric data, images, movies, text, and
3D objects to and from your computer's video card and making use of 
features like perspective distortion. 

%prep
%setup -q

%build
CFLAGS="-L/usr/X11R6/lib -L/usr/X11R6/lib64" %__python setup.py build 

%install
%__rm -rf $RPM_BUILD_ROOT
%__python setup.py install --skip-build --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
%__rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README.txt README-DEMOS.txt CHANGELOG.txt LICENSE.txt README-BINARY-DEMOS.txt doc/

%changelog
* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.0-3mdk
- fix ExclusiveArch

* Mon Jan 23 2006 Lev Givon <lev@mandriva.org> 1.0-2mdk
- Build correctly on x86_64.

* Thu Jan 19 2006 Lev Givon <lev@mandriva.org> 1.0-1mdk
- Initial Mandriva package.
